default['omnibus-gitlab']['secrets'] = {}

default['omnibus-gitlab']['package']['url'] = 'https://downloads-packages.s3.amazonaws.com/ubuntu-12.04/gitlab_6.9.0-omnibus-1_amd64.deb'
default['omnibus-gitlab']['package']['sha256'] = '42e8224f8aa8689ba80380d036a3b367ffb63a85b5e447670a5233d888b85924'
default['omnibus-gitlab']['package']['repo'] = 'gitlab/gitlab-ce'
default['omnibus-gitlab']['package']['key'] = 'set key in vault'
default['omnibus-gitlab']['package']['use_key'] = false
default['omnibus-gitlab']['package']['base_url'] = 'packages.gitlab.com'
default['omnibus-gitlab']['package']['scheme_url'] = 'https'
default['omnibus-gitlab']['package']['name'] = 'gitlab-ce'
default['omnibus-gitlab']['package']['version'] = nil
default['omnibus-gitlab']['package']['timeout'] = nil
default['omnibus-gitlab']['package']['enable'] = true
default['omnibus-gitlab']['package']['prom_metric_file'] = '/opt/prometheus/node_exporter/metrics/omnibus_package.prom'

default['omnibus-gitlab']['data_bag'] = nil

# hash of 'filename' => 'contents' pairs
default['omnibus-gitlab']['ssh']['host_keys'] = {}

default['omnibus-gitlab']['gitlab_rb']['nginx']['ssl_certificate'] = '/etc/gitlab/ssl/nginx.crt'
default['omnibus-gitlab']['gitlab_rb']['nginx']['ssl_certificate_key'] = '/etc/gitlab/ssl/nginx.key'
default['omnibus-gitlab']['gitlab_rb']['letsencrypt']['enable'] = false
default['omnibus-gitlab']['gitlab_rb']['mattermost-nginx']['ssl_certificate'] = '/etc/gitlab/ssl/mattermost-nginx.crt'
default['omnibus-gitlab']['gitlab_rb']['mattermost-nginx']['ssl_certificate_key'] = '/etc/gitlab/ssl/mattermost-nginx.key'
default['omnibus-gitlab']['gitlab_rb']['pages-nginx']['ssl_certificate'] = '/etc/gitlab/ssl/pages.crt'
default['omnibus-gitlab']['gitlab_rb']['pages-nginx']['ssl_certificate_key'] = '/etc/gitlab/ssl/pages.key'
default['omnibus-gitlab']['gitlab_rb']['registry-nginx']['ssl_certificate'] = '/etc/gitlab/ssl/registry.crt'
default['omnibus-gitlab']['gitlab_rb']['registry-nginx']['ssl_certificate_key'] = '/etc/gitlab/ssl/registry.key'
default['omnibus-gitlab']['gitlab_rb']['gitaly']['configuration']['tls']['certificate_path'] = '/etc/gitlab/ssl/gitaly.crt'
default['omnibus-gitlab']['gitlab_rb']['gitaly']['configuration']['tls']['key_path'] = '/etc/gitlab/ssl/gitaly.key'
default['omnibus-gitlab']['gitlab_rb']['praefect']['configuration']['tls']['certificate_path'] = '/etc/gitlab/ssl/praefect.crt'
default['omnibus-gitlab']['gitlab_rb']['praefect']['configuration']['tls']['key_path'] = '/etc/gitlab/ssl/praefect.key'

default['omnibus-gitlab']['ssl']['certificate'] = ''
default['omnibus-gitlab']['ssl']['private_key'] = ''
default['omnibus-gitlab']['ssl']['mattermost_certificate'] = ''
default['omnibus-gitlab']['ssl']['mattermost_private_key'] = ''
default['omnibus-gitlab']['ssl']['pages_certificate'] = ''
default['omnibus-gitlab']['ssl']['pages_private_key'] = ''
default['omnibus-gitlab']['ssl']['registry_certificate'] = ''
default['omnibus-gitlab']['ssl']['registry_private_key'] = ''
default['omnibus-gitlab']['ssl']['gitaly_certificate'] = ''
default['omnibus-gitlab']['ssl']['gitaly_private_key'] = ''
default['omnibus-gitlab']['ssl']['praefect_certificate'] = ''
default['omnibus-gitlab']['ssl']['praefect_private_key'] = ''
default['omnibus-gitlab']['ssl']['trusted_certs'] = {}
default['omnibus-gitlab']['ssl']['praefect_database_client_certificate'] = ''
default['omnibus-gitlab']['ssl']['praefect_database_client_key'] = ''
default['omnibus-gitlab']['ssl']['praefect_database_server_ca'] = ''

# dont trigger reconfigue in the package
default['omnibus-gitlab']['skip_auto_reconfigure'] = false
# dont trigger reconfigue via chef
default['omnibus-gitlab']['run_reconfigure'] = true

default['omnibus-gitlab']['munin_sidekiq_postreceive']['window_size'] = 100

default['omnibus-gitlab']['backup_cron_job']['skip'] = []
default['omnibus-gitlab']['backup_cron_job']['silent'] = false
default['omnibus-gitlab']['backup_cron_job']['log'] = nil
default['omnibus-gitlab']['backup_cron_job']['hour'] = '0'
default['omnibus-gitlab']['backup_cron_job']['minute'] = '30'

# defaults to '*', every day
default['omnibus-gitlab']['backup_cron_job']['weekday'] = nil
default['omnibus-gitlab']['backup_cron_job']['user'] = 'root'
default['omnibus-gitlab']['backup_cron_job']['enable'] = true
default['omnibus-gitlab']['backup_cron_job']['pre_command'] = ''

default['omnibus-gitlab']['cloudflare']['origin_pull']['enforced'] = false
